<?php
header('Content-Type: application/json');
require("dbinfo.php");
$con = mysqli_connect($sqlname, $username, $password, $db);
if(!$con){exit;}

$id_tipo = 0;
$elemento = 'cat_tramos';
$nombre_campo = '';
$res = 'LIBRE';
$nuevo_codigo = -1;

if($_REQUEST['nuevo_codigo']){$nuevo_codigo = $_REQUEST['nuevo_codigo'];}
if($_REQUEST['tabla_tipo']){$tabla_tipo = $_REQUEST['tabla_tipo'];}
if($_REQUEST['id_tipo']){$id_tipo = $_REQUEST['id_tipo'];}
if($_REQUEST['elemento']){$elemento = $_REQUEST['elemento'];}
if($_REQUEST['nombre_campo']){$nombre_campo = $_REQUEST['nombre_campo'];}


if ($nuevo_codigo == -1)
{
$sql = "SELECT * FROM " . $elemento . " WHERE " . $nombre_campo . " = " . $id_tipo;
$resultado = mysqli_query($con,$sql);
if (mysqli_num_rows($resultado) > 0){
$res = 'OCUPADO';
}
}
else
{
    $sql = "UPDATE " . $elemento . " SET " . $nombre_campo . " = " . $nuevo_codigo . " WHERE " . $nombre_campo . " = " . $id_tipo;
    $resultado = mysqli_query($con,$sql); 
    $res = 'LIBRE';
}


if ($res =='LIBRE')
{
    $sql = "DELETE FROM " . $tabla_tipo . " WHERE id = " . $id_tipo;
    $resultado = mysqli_query($con,$sql);
}


mysqli_close($con);
echo json_encode($res)
?>